; $Id: dcs_jcc_flux.pro,v 1.4 2002/11/01 22:17:14 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
function dcs_jcc_flux,wl,rmode,npsptr
;************************************************************************************************
;
compile_opt strictarr
;
; DCS beam area-averaged flux at 20000 rpm with SR=1.
;
vals=(*npsptr).(rmode-1)
wls=vals[0,*]
nps=vals[1,*]
nwls=n_elements(wls)
minwls=wls[0]
maxwls=wls[nwls-1]
;
nwl=n_elements(wl)
flux=fltarr(nwl)
for i=0,nwl-1 do begin
	flux[i]=0.0
	if (wl[i] ge minwls and wl[i] le maxwls) then flux[i]=interpol(nps,wls,wl[i])
endfor
;
return,flux
end