; $Id: dcs_readdatafile.pro,v 1.4 2002/07/13 20:14:57 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
pro dcs_readdatafile,filepath,omithisto,printinfo,filetype,davePtr=davePtr
;************************************************************************************************
;
compile_opt strictarr
;
nofirstline=0
;
case filetype of
	"ascii": stop," Disallowed file type (ascii)"
	;
	"binary": $
	dcs_read_binaryOctavefile,filepath,nofirstline,omithisto,variables_read,unknowns,error,$
		davePtr=davePtr
;
	else: stop," Unknown file type (neither ascii nor binary)"
endcase
;
if (strlen(error) gt 0) then begin
	if (!debug) then print,"In dcs_readdatafile, error ",error
	return
endif
;
if (not printinfo) then return
;
if (variables_read[0] ne "None") then begin
	ivar=n_elements(variables_read)
	if (!debug) then print,ivar," variables have been read:"
	if (!debug) then print,variables_read
endif else if (!debug) then print,"NO variables have been read."
if (unknowns[0] ne "None") then begin
	ivaru=n_elements(unknowns)
	if (ivaru eq 1) then $
		if (!debug) then print,ivaru," of these variables is UNKNOWN:" $
		else if (!debug) then print,ivaru," of these variables are UNKNOWN:"
	if (!debug) then print,unknowns
endif
end